@import url('https://fonts.googleapis.com/css2?family=Fredoka+One&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  
}

html body {
  overflow-x: hidden;
}

#canvas {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  outline: none;
}

.loader {
  width: 10px;
  height: 10px;
  margin: 40px auto;
  border-radius: 50%;
  background: #fff;
}

.light-blue-text {
  color: #61dbfb;
}

.glass-background {
  background: rgb(6, 158, 246);
  background: -moz-linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.9) 0%,
    rgba(1, 13, 150, 0.9) 50%,
    rgba(6, 14, 72, 0.9) 100%
  );
  background: -webkit-linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.9) 0%,
    rgba(1, 13, 150, 0.9) 50%,
    rgba(6, 14, 72, 0.9) 100%
  );
  background: linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.9) 0%,
    rgba(1, 13, 150, 0.9) 50%,
    rgba(6, 14, 72, 0.9) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#069ef6",endColorstr="#111c6f",GradientType=1);
}

.transparent-glass-background {
  background: rgb(6, 158, 246);
  background: -moz-linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.7) 0%,
    rgba(1, 13, 150, 0.7) 50%,
    rgba(6, 14, 72, 0.7) 100%
  );
  background: -webkit-linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.7) 0%,
    rgba(1, 13, 150, 0.7) 50%,
    rgba(6, 14, 72, 0.7) 100%
  );
  background: linear-gradient(
    60deg,
    rgba(6, 158, 246, 0.7) 0%,
    rgba(1, 13, 150, 0.7) 50%,
    rgba(6, 14, 72, 0.7) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#069ef6",endColorstr="#111c6f",GradientType=1);
}

.hover-text-glow {
}

.hover-text-glow:hover {
  text-shadow: 0 -1px 4px #fff, 0 -2px 10px rgb(0, 0, 4), 0 -10px 20px #ffffff,
    0 -18px 40px rgb(177, 136, 136), 2px 2px 2px rgba(40, 69, 213, 0);
}

.header-text-glow {
  color: #ffffff;

  text-shadow: 0 0 5px #000000, 0 0 10px #000000, 0 0 15px #ffffff,
    0 0 20px #1ac6d5, 0 0 30px #1ac6d5, 0 0 40px #1ac6d5, 0 0 55px #1ac6d5,
    0 0 75px #1ac6d5;
}

.form-field-color {
  background: rgb(18, 59, 152);
  background: -moz-linear-gradient(
    13deg,
    rgba(18, 59, 152, 0.8631827731092436) 0%,
    rgba(0, 6, 79, 0.7315301120448179) 35%,
    rgba(1, 41, 82, 0.8407738095238095) 100%
  );
  background: -webkit-linear-gradient(
    13deg,
    rgba(18, 59, 152, 0.8631827731092436) 0%,
    rgba(0, 6, 79, 0.7315301120448179) 35%,
    rgba(1, 41, 82, 0.8407738095238095) 100%
  );
  background: linear-gradient(
    13deg,
    rgba(18, 59, 152, 0.8631827731092436) 0%,
    rgba(0, 6, 79, 0.7315301120448179) 35%,
    rgba(1, 41, 82, 0.8407738095238095) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#123b98",endColorstr="#012952",GradientType=1);
}

.fredoka-font {
  font-family: 'Fredoka One', cursive;
}

.down-arrow {
  border-right: 6px solid;
  border-bottom: 6px solid;
  border-color: aliceblue;
  height: 38px;
  width: 38px;
  transform: rotate(46deg);
}

.glowing-shadow {
  box-shadow: 0px 0px 16px 6px rgba(223, 226, 252, 0.75);
  -webkit-box-shadow: 0px 0px 16px 6px rgba(223, 226, 252, 0.75);
  -moz-box-shadow: 0px 0px 16px 6px rgba(223, 226, 252, 0.75);
}

.hover-glowing-shadow-and-scale {
  box-shadow: 0px 0px 6px 6px rgba(223, 226, 252, 0.75);
  -webkit-box-shadow: 0px 0px 6px 6px rgba(223, 226, 252, 0.75);
  -moz-box-shadow: 0px 0px 6px 6px rgba(223, 226, 252, 0.75);
}

.hover-glowing-shadow-and-scale:hover {
  box-shadow: 0px 0px 16px 16px rgba(223, 226, 252, 0.75);
  -webkit-box-shadow: 0px 0px 16px 5px rgba(223, 226, 252, 0.75);
  -moz-box-shadow: 0px 0px 16px 6px rgba(223, 226, 252, 0.75);
  transform: scale(1);
}

.hover-glowing-shadow-and-scale:active {
  box-shadow: 0px 0px 16px 16px rgb(255, 255, 255);
  -webkit-box-shadow: 0px 0px 16px 16px rgba(255, 255, 255, 0.75);
  -moz-box-shadow: 0px 0px 16px 16px rgba(255, 255, 255, 0.75);
  transform: scale(0.9);
}

/*  */
/* ANIMATIONS */
/*  */
.slide-bottom {
  -webkit-animation: slide-bottom 2s infinite 2.6s both;
  animation: slide-bottom 2s infinite 2.6s both;
}

/* ----------------------------------------------
 * Generated by Animista on 2023-3-22 13:20:10
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-bottom
 * ----------------------------------------
 */
@-webkit-keyframes slide-bottom {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    opacity: 1;
  }
}
@keyframes slide-bottom {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    opacity: 1;
  }
}
